Subject: Re: Patch for tbench regression.

From: Rick Jones <[email-masked]>
Date: Mon, 29 Sep 2008 10:01:29 -0700

Herbert Xu wrote:
> On Mon, Sep 29, 2008 at 03:02:13PM +0800, Herbert Xu wrote:
> 
>>OK you're on FV as well.  I'll try it on my laptaop next.
> 
> 
> Interesting.  On my laptop I'm seeing 113MB/s with TSO on and
> 119MB/s without.  However, netperf shows TSO on is slightly
> better than TSO off (4716Mb/s vs. 4680Mb/s).
> 
> A packet dump on tbench indicates it's sending lots of small
> packets so TSO wouldn't be contributing anything positive at
> all.  Hmm, it seems that even netperf isn't producing anything
> larger than MTU so something seems amiss with the TCP stack.

What is netperf reporting as its send "message" (misnomer) size? (I'm 
assuming this is a TCP_STREAM test rather than a TCP_RR or other test?)

rick jones